define([
	"dojo/_base/declare",
	"thornberry/serverRequest",
],function(
	declare,
	serverRequest
) {
	var SERVER_CLASS = "Billing.Era.Service";

	var Service = declare(null, {
		get: function(id) {
			return serverRequest(SERVER_CLASS,"Get",id);
        },
        process: function(data) {
            return serverRequest(SERVER_CLASS,"Process",data);
        },
        deleteItem: function(id) {
            return serverRequest(SERVER_CLASS,"Delete",id);
        }
	},true);
	return new Service(); // Singleton
});