define([
	"dojo/_base/declare",
    "dojo/date",
    "dojo/on",
    "dojo/_base/lang",
	"dojo/date/locale",
	"dijit/form/ValidationTextBox"
], function (declare, date, on, lang, locale, ValidationTextBox) {
	return declare([ValidationTextBox], {

        style: "width:80px",
		
		//pattern: "\\d{5}",

        postCreate: function() {
            this.inherited(arguments);
            //this.constraints.places = 0;
            //this.constraints.min = 0;
            //this.constraints.max = 9999999;
		},

        getFilterValue: function() {
            // Summary: 
            //      This returns the value to be used by the corresponding column class's GenerateWHERE() method
			return this.get("value");
        },

        getDisplayValue: function() {
            // Summary: 
            //      This returns the value to be used for display in the generated report
            return this.getFilterValue();
        },

        serialize: function() {
            // Summary: 
			//      This returns the value to be stored in ^UserSettings
            
			return this.getFilterValue();
        },

        deserialize: function(value) {
            // Summary: 
			//      This sets the filter's value from the serialized value
            
            this.set("value",value);
		}
    });
});